v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/mark-lost
Marks shipments as Lost in the system. Rights: OrsSupplyManagerPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object containing lost shipment details.
Show Source
-
shipmentIds(required): array
shipmentIds
Minimum Number of Items:
1Maximum Number of Items:2147483647Contains shipment IDs.
Nested Schema : shipmentIds
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647Contains shipment IDs.
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D",
"8ECE2C9D389645B09740DC7926DEFB69"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
400 Response
'Invalid order status' or 'Invalid shipment type'
Root Schema : DesignerResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
404 Response
Invalid study ID, 'Study still in design phase', 'Invalid shipment ID'
Root Schema : DesignerResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : DesignerResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples